Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events
Interface Situation

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  SimpleSituation

public interface Situation
extends XmlSerializable

Situation defines the constants and fields for the WSDM Event Format's (WEF) situation data type. This type is embedded in a ManagementEvent when reporting events to subscribers. It is composed of accessor methods for its fields and serialization methods to convertion to and from XML. The constants define the valid values for the fields as defined by WSDM.

Author:
  Dan Jemiolo (danj)

Field Summary
`static short` | `CRITICAL_SEVERITY`
`static short` | `FATAL_SEVERITY`
`static short` | `HIGH_PRIORITY`
`static short` | `HIGHEST_PRIORITY`
`static short` | `INFO_SEVERITY`
`static short` | `LOW_PRIORITY`
`static short` | `LOWEST_PRIORITY`
`static short` | `MAJOR_SEVERITY`
`static short` | `MEDIUM_PRIORITY`
`static short` | `MINOR_SEVERITY`
`static java.lang.String` | `SUCCESSFUL`
`static short` | `UNKNOWN_SEVERITY`
`static java.lang.String` | `UNSUCCESSFUL`
`static short` | `WARNING_SEVERITY`

Method Summary
`QName[]` | `getCategoryType()`
`java.lang.String` | `getMessage()`
`short` | `getPriority()`
`short` | `getSeverity()`
`java.util.Date` | `getSituationTime()`
`SubstitutableMessage` | `getSubstitutableMessage()`
`java.lang.String` | `getSuccessDisposition()`
`void` | `setCategoryType(QName categoryType)`
`void` | `setCategoryType(QName[] categoryType)`
`void` | `setMessage(java.lang.String message)`
`void` | `setPriority(short priority)`
`void` | `setSeverity(short severity)`
`void` | `setSituationTime(java.util.Date situationTime)`
`void` | `setSubstitutableMessage(SubstitutableMessage message)`
`void` | `setSuccessDisposition(java.lang.String disposition)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Field Detail

### LOWEST_PRIORITY

    public static final short LOWEST_PRIORITY

See Also:
  Constant Field Values

### LOW_PRIORITY

    public static final short LOW_PRIORITY

See Also:
  Constant Field Values

### MEDIUM_PRIORITY

    public static final short MEDIUM_PRIORITY

See Also:
  Constant Field Values

### HIGH_PRIORITY

    public static final short HIGH_PRIORITY

See Also:
  Constant Field Values

### HIGHEST_PRIORITY

    public static final short HIGHEST_PRIORITY

See Also:
  Constant Field Values

### UNKNOWN_SEVERITY

    public static final short UNKNOWN_SEVERITY

See Also:
  Constant Field Values

### INFO_SEVERITY

    public static final short INFO_SEVERITY

See Also:
  Constant Field Values

### WARNING_SEVERITY

    public static final short WARNING_SEVERITY

See Also:
  Constant Field Values

### MINOR_SEVERITY

    public static final short MINOR_SEVERITY

See Also:
  Constant Field Values

### MAJOR_SEVERITY

    public static final short MAJOR_SEVERITY

See Also:
  Constant Field Values

### CRITICAL_SEVERITY

    public static final short CRITICAL_SEVERITY

See Also:
  Constant Field Values

### FATAL_SEVERITY

    public static final short FATAL_SEVERITY

See Also:
  Constant Field Values

### SUCCESSFUL

    public static final java.lang.String SUCCESSFUL

See Also:
  Constant Field Values

### UNSUCCESSFUL

    public static final java.lang.String UNSUCCESSFUL

See Also:
  Constant Field Values

Method Detail

### getCategoryType

    public QName[] getCategoryType()

### getMessage

    public java.lang.String getMessage()

### getPriority

    public short getPriority()

### getSeverity

    public short getSeverity()

### getSituationTime

    public java.util.Date getSituationTime()

### getSubstitutableMessage

    public SubstitutableMessage getSubstitutableMessage()

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

### setCategoryType

    public void setCategoryType(QName categoryType)

### setCategoryType

    public void setCategoryType(QName[] categoryType)

### setMessage

    public void setMessage(java.lang.String message)

### setPriority

    public void setPriority(short priority)

### setSeverity

    public void setSeverity(short severity)

### setSituationTime

    public void setSituationTime(java.util.Date situationTime)

### setSubstitutableMessage

    public void setSubstitutableMessage(SubstitutableMessage message)

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String disposition)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD